<?php
    
    namespace common\models;
    
    use Yii;
    use yii\behaviors\TimestampBehavior;

    /**
     * This is the model class for table "support".
     *
     * @property int    $id
     * @property int    $book_id
     * @property string $email
     * @property int    $sum
     * @property int    $status
     * @property Book   $book
     */
    class Support extends \yii\db\ActiveRecord
    {
        /**
         * {@inheritdoc}
         */
        public static function tableName()
        {
            return 'support';
        }
        
        public function behaviors()
        {
            return [
                [
                    'class'              => TimestampBehavior::className(),
                    'updatedAtAttribute' => false,
                ],
            ];
        
        }
        
        /**
         * {@inheritdoc}
         */
        public function rules()
        {
            return [
                [
                    [
                        'book_id',
                        'sum',
                        'status',
                    ],
                    'default',
                    'value' => null,
                ],
                [
                    [
                        'book_id',
                        'sum',
                        'status',
                    ],
                    'integer',
                ],
                ['email', 'email'],
                [
                    [ 'email', 'name' ],
                    'string',
                    'max' => 255,
                ],
                [
                    [ 'book_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Book::className(),
                    'targetAttribute' => [ 'book_id' => 'id' ],
                ],
                [
                    ['email', 'sum'], 'required'
                ]
            ];
        }
        
        /**
         * {@inheritdoc}
         */
        public function attributeLabels()
        {
            return [
                'id'      => Yii::t('app', 'ID'),
                'book_id' => Yii::t('app', 'Book ID'),
                'email'   => Yii::t('app', 'Email'),
                'sum'     => Yii::t('app', 'Sum'),
                'status'  => Yii::t('app', 'Status'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getBook()
        {
            return $this->hasOne(Book::className(), [ 'id' => 'book_id' ]);
        }
    }
