<?php

use yii\db\Migration;

/**
 * Handles the creation of table `book`.
 */
class m180607_135657_create_book_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('book', [
            'id' => $this->primaryKey(),
            'author_id' => $this->integer(),
            'title' => $this->string(),
            'image' => $this->string(),
            'preview' => $this->text(),
            'description' => $this->text(),
            'created_at' => $this->integer(),
            'status' => $this->integer()
            
        ]);
        
        $this->addForeignKey('book_author_fk',
                            'book',
                            'author_id',
                            'author',
                            'id',
                            'CASCADE',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('book_author_fk', 'book');
        $this->dropTable('book');
    }
}
