<?php

use yii\db\Migration;

/**
 * Handles the creation of table `comment`.
 */
class m180613_133549_create_comment_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('comment', [
            'id' => $this->primaryKey(),
            'book_id' => $this->integer(),
            'name' => $this->string(),
            'email' => $this->string(),
            'comment' => $this->text(),
            'parent_id' => $this->integer()
        ]);
        
        $this->addForeignKey('comment_book_fk',
                            'comment',
                            'book_id',
                                    'book',
                            'id',
                            'CASCADE',
                            'CASCADE');
        
        $this->addForeignKey('comment_comment_fk',
                            'comment',
                            'parent_id',
                            'comment',
                            'id',
                            'CASCADE',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('comment_book_fk', 'comment');
        $this->dropForeignKey('comment_comment_fk', 'comment');
        $this->dropTable('comment');
    }
}
