<?php

use yii\db\Migration;

/**
 * Handles the creation of table `support`.
 */
class m180614_103157_create_support_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('support', [
            'id' => $this->primaryKey(),
            'book_id' => $this->integer(),
            'name' => $this->string(),
            'email' => $this->string(),
            'sum' => $this->integer(),
            'status' => $this->integer()
        ]);
        
        $this->addForeignKey('support_book_fk',
                            'support',
                            'book_id',
                            'book',
                            'id',
                            'CASCADE',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('support_book_fk', 'support');
        $this->dropTable('support');
    }
}
