<?php

use yii\db\Migration;

/**
 * Handles the creation of table `buy`.
 */
class m180704_105641_create_buy_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('buy', [
            'id' => $this->primaryKey(),
            'book_id' => $this->integer(),
            'name' => $this->string(),
            'email' => $this->string(),
            'created_at' => $this->integer(),
            'status' => $this->integer()
        ]);
    
        $this->addForeignKey('buy_book_fk',
                             'buy',
                             'book_id',
                             'book',
                             'id',
                             'CASCADE',
                             'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('buy_book_fk', 'buy');
        $this->dropTable('buy');
    }
}
