<?php
    
    use artbox\core\components\SeoComponent;
    use yii\data\ActiveDataProvider;
    use artbox\core\helpers\Url;
    use yii\web\View;
    use yii\widgets\ListView;
    
    /**
     * @var View               $this
     * @var ActiveDataProvider $dataProvider
     * @var SeoComponent       $seo
     * @var \common\models\blog\Tag[]              $tags
     * @var common\models\blog\Category[] $categories
     */
    $seo = \Yii::$app->get('seo');
    
    $this->params[ 'breadcrumbs' ][] = \Yii::t('app', 'Блог');
    
  $this->params['isBlog'] = true;

?>

<section class="section-blog-index">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <div class="title-blog-index">Блог</div>
            </div>
        </div>
    </div>
</section>

<section class="section-blox-index-next">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12" style="overflow: hidden;">
                <ul class="blog-tags">
                    <li class="active"><a href="<?=Url::to(['blog/index'])?>">всі</a></li>
                  <?php foreach ($tags as $tag){?>
                    <li><a href="<?=Url::to(['alias' => $tag->language->alias])?>"><?=$tag->language->label?></a></li>
                  <?php } ?>
                </ul>
            </div>
        </div>
        <?=ListView::widget([
          'dataProvider' => $dataProvider,
          'options' => [
            'class' => 'row'
          ],
          'itemOptions' => [
            'class' => 'col-xs-12 col-sm-12 blog-items'
          ],
          'itemView' => '_article',
          'layout' => '{items}'
                            ])?>
        
        <div class="row">
            <div class="col-xs-12 col-sm-12">
                <?php echo \frontend\widgets\FrontendPager::widget(
                    [
                        'pagination'     => $dataProvider->pagination,
                        'maxButtonCount' => 5,
                    ]
                ); ?>
            </div>
        </div>
    </div>
</section>
