<?php
    /**
     * @var \yii\web\View $this;
     * @var array $data
     * @var array $book;
     */
    use frontend\assets\AddAsset;
    use yii\helpers\Json;
    use yii\web\View;
    AddAsset::register($this);
    $data  = Json::encode($book);
    $js = <<<JS
    tinymce.init({ selector:'.fuel-add-text textarea',theme_url: '/js/theme.js', skin_url: '/js/skins/lightgray' });
    book.init('$data');
JS;
$this->registerJs($js, View::POS_READY);
    ?>
<section class="section-books-support">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <div class="title-blocks title-support">Додати книгу</div>
            </div>
        </div>
        <div class="row">
            <div class="hidden-xs col-sm-2"></div>
            <div class="col-xs-12 col-sm-8 support-form-col">
                <div class="style card-form-add-wrapp">
                    <form action="#" id="add-book" enctype="multipart/form-data" method="POST">
                        <div class="style title-add-comments-form">Додайте свій проект</div>
                        <div class="add-book-form-column">
                            <div class="input-wr">
                                <label for="title">Назва книги</label>
                                <input id="title" type="text" name="title" value="<?=isset($book['title']) ? $book['title'] : ''?>">
                            </div>
                            
                            <div class="input-wr">
                                <label for="preview">Короткий опис</label>
                                <textarea name="" id="preview" cols="30" rows="10"><?=isset($book['preview']) ? $book['preview'] : ''?></textarea>
                            </div>
                        </div>
                        
                        <div class="add-book-form-column" style="text-align: center;">
                            <div class="input-wr-file-wrapp">
                                <label for="">Фото (обкладинка)</label>
                                <div class="input-wr-file">
                                    <label  for="image"></label>
                                    <input type="hidden" name="image_" value=""><input type="file" id="image" name="image">
                                    
                                    <div class="img-size">262x390</div>
                                    
                                    <!--если картинка загруженна то добавить для .img-file класс ".vis_"-->
                                    <div class="img-file <?=(isset($book['image']) and !empty($book['image'])) ? 'vis_': ''?>" style="display: none;">
                                        <!--124x84-->
                                        <div class="remove-img-file"></div>
                                        <img src="<?=(isset($book['image']) and !empty($book['image'])) ? '/storage/books/'.$book['id'].'/'.$book['image'] : ''?>" alt="" id>
                                    </div>
                                
                                </div>
                            </div>
                        </div>
                        
                        <div class="input-wr fuel-add-text">
                            <label for="description">Повний опис</label>
                            <textarea name="description" id="description" cols="30" rows="10"><?=isset($book['description']) ? $book['description'] : ''?></textarea>
                        </div>
                        
                        <div class="button-wr green">
                            <button type="submit" id="add"><?=isset($book['id']) ? 'редагувати' : 'додати'?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
