<?php

/* @var $this yii\web\View
 * @var \common\models\Book $books;
 * @var \common\models\blog\Article[] $articles
 */
    
    use artbox\core\helpers\ImageHelper;
    use artbox\core\helpers\Url;
    
    $this->title = 'My Yii Application';
?>

<section class="first-bg-wrapp">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <div class="title-p-first-bg-wr">
          <table cellspacing="0" cellpadding="0" border="0">
            <tr>
              <td valign="bottom"><h1 class="title-first-bg">Моя війна</h1></td>
            </tr>
            <tr>
              <td><span class="p-first-bg">Бібліотека під редакцією Юрія Бутусова</span></td>
            </tr>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
<?php if (!empty($books)){?>
<section class="section-books">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <div class="title-blocks first-title-blocks">Книги</div>
      </div>
    </div>
    <div class="row">
      <?php foreach ($books as $book){ ?>
      <div class="col-xs-12 col-sm-12 col-md-6 books-wrapp">
        <?=$this->render('@frontend/views/book/_book', [
          'model' => $book
        ])?>
      </div>
      <?php } ?>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="style all-projects-link">
          <a href="<?=Url::to(['book/index'])?>">Всі проекти</a>
        </div>
      </div>
    </div>
  </div>
</section>
<?php }?>
<section class="books-bg-links">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <table cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td>
              <div class="books-bg-links-title">Правдиво про війну в Україні</div>
              <div class="books-bg-links-text">Підтримуємо талановитих авторів та робимо доступним видавництво книг без посередників</div>
            </td>
            <td>
              <div class="books-bg-links-link">
                <a href="<?=Url::to(['site/about'])?>" class="btn_">Як це працює</a>
              </div>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</section>
<?php if (!empty($articles)){?>
<section class="box-news">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <div class="title-blocks first-title-blocks">Останні публікації</div>
      </div>
    </div>
    <div class="row">
      <?php foreach($articles as $article){?>
      <div class="col-xs-12 col-sm-4 box-items-news">
        <a href="<?=Url::to(['alias' => $article->language->alias])?>">
          <div class="box-items-news-img">
            <!--360x230-->
            <?php echo ImageHelper::set(!empty($article->image) ? $article->image->getPath() : null)->cropResize(360, 230)->renderImage()
            ?>
          </div>
          <div class="box-items-news-title"><?=$article->language->title?></div>
        </a>
      </div>
      <?php } ?>
    </div>
  </div>
</section>
<?php } ?>