<?php
    /**
     * @var \common\models\Book $book
     * @var \common\models\Support $model
     * @var \artbox\core\components\SeoComponent $seo
     */
    use artbox\core\models\Alias;use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    $seo = \Yii::$app->get('seo');
    
    $seo->setAlias(new Alias([
                                 'title' => 'Підтримати книгу "'.$book->title.'"'
                             ]));
?>
<section class="section-books-support">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <div class="title-blocks title-support">Підтримати</div>
            </div>
        </div>
        <div class="row">
            <div class="hidden-xs col-sm-4"></div>
            <div class="col-xs-12 col-sm-4 support-form-col">
                <div class="style support-form-wr">
                   <?php $form =  ActiveForm::begin()?>
                        <div class="style title-support-form"><?=$book->title?></div>
                        <div class="style autor-support-form"> Автор: <?=$book->author->name?> <?=$book->author->secondname?></div>
                        <div class="input-wr">
                            <?=$form->field($model, 'name')->label('Ім\'я')?>
                        </div>
                        <div class="input-wr">
                            <?=$form->field($model, 'email')->label('Пошта')?>
                        </div>
                        
                        <div class="input-wr price-input-wr">
                            <div class="price-input">
                                <?=$form->field($model, 'sum')->label('Cума в гривнях')?>
                            </div>
                        </div>
                        <?=$form->field($model, 'book_id')->hiddenInput()->label(false);?>
                        <?=$form->field($model, 'status')->hiddenInput()->label(false);?>
                        <div class="button-wr">
                          <?=Html::submitButton('Підтримати')?>
                        </div>
                    <?php ActiveForm::end()?>
                </div>
            </div>
        </div>
    </div>
</section>
