<?php
    use frontend\models\SearchModel;
    use kartik\select2\Select2;
    use yii\helpers\Url;
    use yii\web\JsExpression;
    use yii\widgets\ActiveForm;
    
    \artbox\core\admin\assets\Select2::register($this);
    $model = new SearchModel([
      'author' => true,
      'bookTitle' => true
                             ]);
    $this->params['breadcrumbs'][] = 'Підтримати'
?>
<section class="section-books-support">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <div class="title-blocks title-support">Підтримати</div>
            </div>
        </div>
        <div class="row">
            <div class="hidden-xs col-sm-4"></div>
            <div class="col-xs-12 col-sm-4 support-form-col">
                <div class="style support-form-wr">
                    <?php $form = ActiveForm::begin(['id' => 'search-form', 'action' => '/support/search-result'])?>
                        <div class="input-wr select-support">
                            <label for="q1">Вибрати</label>
                            <?php echo Select2::widget(
                                [
                                    'name'          => 'bookId',
                                    'options'       => [
                                        'placeholder' => \Yii::t('app', 'Почніть вводити назву книги'),
                                        'multiple'    => false,
                                        
        
                                    ],
                                    'toggleAllSettings' => [
                                        'selectLabel' => false,
                                    ],
                                    'pluginOptions'     => [
                                        'allowClear'         => true,
                                        'minimumInputLength' => 3,
                                        'language'           => [
                                          'inputTooShort' => new JsExpression(
                                              "function () { return ''; }"
                                          ),
                                            'errorLoading' => new JsExpression(
                                                "function () { return 'Зачекайте...'; }"
                                            ),
                                        ],
                                        'ajax'               => [
                                            'url'      => Url::to([ '/book/list' ]),
                                            'dataType' => 'json',
                                            'data'     => new JsExpression(
                                                'function(params) {
                                    return {
                                        q:params.term
                                    };
                                 }'
                                            ),
                                        ],
                                        'escapeMarkup'       => new JsExpression(
                                            'function (markup) {
                                return markup;
                             }'
                                        ),
                                        'templateResult'     => new JsExpression(
                                            'function (book) {
                                return book.text;
                             }'
                                        ),
                                        'templateSelection'  => new JsExpression(
                                            'function (book) {
                                            console.log(book.id);
                                            $("#next").attr("data-id", book.id)
                                            return book.text;
                                         }'
                                        ),
                                    ],
                                ]
                            ); ?>
                        </div>
                        <div class="input-wr search-support">
                            <?=$form->field($model, 'text')->textInput()->label('Пошук')?>
                        </div>


                        <div class="input-wr sidebar_checks support-shecks" style="text-align: center;">
                            <div style="display: inline-block">
                                <?= $form->field(
                                    $model,
                                    'author',
                                    [
                                        'template' => '{input}{label}',
                                    ]
                                )
                                         ->checkbox([], false)
                                         ->label(\Yii::t('app', \Yii::t('app', 'Автор'))); ?>
<!--                                <input type="checkbox" id="q6" name="" value="" checked="">-->
<!--                                <label class="control-label" for="q6">Автор</label>-->
                            </div>
                            <div style="display: inline-block; padding-left: 24px;">
                                <?= $form->field(
                                    $model,
                                    'bookTitle',
                                    [
                                        'template' => '{input}{label}',
                                    ]
                                )
                                         ->checkbox([], false)
                                         ->label(\Yii::t('app', \Yii::t('app', 'Назва'))); ?>
<!--                                <input type="checkbox" id="q7" name="" value="" checked="">-->
<!--                                <label class="control-label" for="q7">Назва</label>-->
                            </div>
                        </div>

                        <div class="input-else">
                            або
                        </div>

                        <div class="support-link">
                            <a href="<?=Url::to(['/book/index'])?>"><span>вибрати з каталогу</span></a>
                        </div>

                        <div class="button-wr">
                            <button id="next" type="submit" data-id="">Продовжити</button>
                        </div>
                   <?php ActiveForm::end()?>
                </div>
            </div>
        </div>
    </div>
</section>